# TODO: review configure options:
# - gamepad, web-audio
#
# Conditional build:
%bcond_without	introspection	# disable introspection
#
Summary:	Port of WebKit embeddable web component to GTK+ 3
Summary(pl.UTF-8):	Port osadzalnego komponentu WWW WebKit do GTK+ 3
Name:		gtk-webkit3
Version:	2.0.1
Release:	2
License:	BSD-like
Group:		X11/Libraries
Source0:	http://webkitgtk.org/releases/webkitgtk-%{version}.tar.xz
# Source0-md5:	69c2037b6d2644d789d34940eac9c993
Patch0:		sync-builtins.patch
Patch1:		%{name}-sh.patch
Patch2:		gtk-webkit-pl.po.patch
URL:		http://webkitgtk.org/
BuildRequires:	EGL-devel
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	at-spi2-core-devel >= 2.6.0
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	bison >= 1.875
BuildRequires:	cairo-devel >= 1.10
BuildRequires:	enchant-devel >= 0.22
BuildRequires:	flex >= 2.5.33
BuildRequires:	fontconfig-devel >= 2.5.0
BuildRequires:	freetype-devel >= 1:2.1.8
BuildRequires:	gcc-c++ >= 6:4.7
BuildRequires:	geoclue-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	glibc-misc
%{?with_introspection:BuildRequires:	gobject-introspection-devel >= 1.32.0}
BuildRequires:	gperf
BuildRequires:	gstreamer-devel >= 1.0.3
BuildRequires:	gstreamer-plugins-base-devel >= 1.0.3
# GTK+ 2.x for webkit2 plugin process; GTK+ 3 for base GUI
BuildRequires:	gtk+2-devel >= 2:2.24.10
BuildRequires:	gtk+3-devel >= 3.6.0
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	harfbuzz-devel >= 0.9.7
BuildRequires:	libicu-devel >= 4.2.1
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libsecret-devel
BuildRequires:	libsoup-devel >= 2.42.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libwebp-devel
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	libxslt-devel >= 1.1.7
BuildRequires:	pango-devel >= 1:1.32.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	ruby
BuildRequires:	sqlite3-devel >= 3.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-glib-devel
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	cairo >= 1.10
Requires:	enchant >= 0.22
Requires:	fontconfig-libs >= 2.5.0
Requires:	freetype >= 1:2.1.8
Requires:	glib2 >= 1:2.36.0
Requires:	gstreamer >= 1.0.3
Requires:	gstreamer-plugins-base >= 1.0.3
Requires:	gtk+2 >= 2:2.24.10
Requires:	gtk+3 >= 3.6.0
Requires:	harfbuzz >= 0.9.7
Requires:	libsoup >= 2.42.0
Requires:	libxml2 >= 1:2.6.30
Requires:	libxslt >= 1.1.7
Requires:	pango >= 1:1.32.0
%{?with_introspection:Conflicts:	gir-repository < 0.6.5-7}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gtk-webkit3 is a port of the WebKit embeddable web component to GTK+ 3.

%description -l pl.UTF-8
gtk-webkit3 to port osadzalnego komponentu WWW WebKit do GTK+ 3.

%package devel
Summary:	Development files for WebKit for GTK+ 3
Summary(pl.UTF-8):	Pliki programistyczne komponentu WebKit dla GTK+ 3
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36.0
Requires:	gtk+3-devel >= 3.6.0
Requires:	libsoup-devel >= 2.42.0
Requires:	libstdc++-devel

%description devel
Development files for WebKit for GTK+ 3.

%description devel -l pl.UTF-8
Pliki programistyczne komponentu WebKit dla GTK+ 3.

%package apidocs
Summary:	WebKit API documentation
Summary(pl.UTF-8):	Dokumentacja API WebKita
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
WebKit API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API WebKita.

%prep
%setup -q -n webkitgtk-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I Source/autotools
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-gtk-doc \
	--disable-silent-rules \
	--enable-geolocation \
	--enable-glx \
	%{__enable_disable introspection} \
	--enable-webgl \
	--with-gtk=3.0 \
	--with-html-dir=%{_gtkdocdir}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/webkit2gtk-3.0/injected-bundle/*.la

%find_lang WebKitGTK-3.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f WebKitGTK-3.0.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS
%attr(755,root,root) %{_bindir}/jsc-3
%attr(755,root,root) %{_libexecdir}/WebKitPluginProcess
%attr(755,root,root) %{_libexecdir}/WebKitWebProcess
%attr(755,root,root) %{_libdir}/libwebkitgtk-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebkitgtk-3.0.so.0
%attr(755,root,root) %{_libdir}/libwebkit2gtk-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebkit2gtk-3.0.so.25
%attr(755,root,root) %{_libdir}/libjavascriptcoregtk-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjavascriptcoregtk-3.0.so.0
%if %{with introspection}
%{_libdir}/girepository-1.0/JSCore-3.0.typelib
%{_libdir}/girepository-1.0/WebKit-3.0.typelib
%{_libdir}/girepository-1.0/WebKit2-3.0.typelib
%endif
%dir %{_libdir}/webkit2gtk-3.0
%dir %{_libdir}/webkit2gtk-3.0/injected-bundle
%attr(755,root,root) %{_libdir}/webkit2gtk-3.0/injected-bundle/libwebkit2gtkinjectedbundle.so
%dir %{_datadir}/webkitgtk-3.0
%{_datadir}/webkitgtk-3.0/images
%{_datadir}/webkitgtk-3.0/resources
%{_datadir}/webkitgtk-3.0/webinspector

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwebkitgtk-3.0.so
%attr(755,root,root) %{_libdir}/libwebkit2gtk-3.0.so
%attr(755,root,root) %{_libdir}/libjavascriptcoregtk-3.0.so
%if %{with introspection}
%{_datadir}/gir-1.0/JSCore-3.0.gir
%{_datadir}/gir-1.0/WebKit-3.0.gir
%{_datadir}/gir-1.0/WebKit2-3.0.gir
%endif
%{_includedir}/webkitgtk-3.0
%{_pkgconfigdir}/webkitgtk-3.0.pc
%{_pkgconfigdir}/webkit2gtk-3.0.pc
%{_pkgconfigdir}/javascriptcoregtk-3.0.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/webkitgtk
%{_gtkdocdir}/webkit2gtk
%changelog
* Tue Apr 23 2013 witekfl <witekfl@poczta.onet.pl> 27aa13a
- added pl.po.patch
- rel 2

* Tue Apr 23 2013 witekfl <witekfl@poczta.onet.pl> 54f99a4
- fix for midori

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> a02684b
- updated to 2.0.1
- updated sh patch (one part obsolete)

* Sat Apr 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 0135bc9
- -devel R: libstdc++-devel

* Sat Apr 13 2013 Jakub Bogusz <qboosh@pld-linux.org> e3d059d
- completed dependencies, dropped obsolete todo entries
- note: GLESv2 headers are only checked, but not used when GLX is enabled (and that's OK)
- added --enable-glx --enable-webgl to fail build when OpenGL is not detected properly

* Sat Apr 13 2013 Jakub Bogusz <qboosh@pld-linux.org> c1c1338
Merge branch 'master' of git://git.pld-linux.org/packages/gtk-webkit3

* Sat Apr 13 2013 Jakub Bogusz <qboosh@pld-linux.org> f767d13
- added sh patch to kill bashisms

* Fri Apr 12 2013 Jan Rękorajski <baggins@pld-linux.org> 308bf3f
- release 3 (by relup.sh)

* Fri Apr 12 2013 Jan Rękorajski <baggins@pld-linux.org> 49eec34
- reading 64bit value may not be atomic

* Fri Apr 12 2013 Jan Rękorajski <baggins@pld-linux.org> fa36082
- typo

* Fri Apr 12 2013 Jan Rękorajski <baggins@pld-linux.org> 3ccee29
- don't include pthread.h inside of c++ namespace

* Fri Apr 12 2013 Jan Rękorajski <baggins@pld-linux.org> 5947df8
- fix arg pointer usage

* Fri Apr 12 2013 Jan Rękorajski <baggins@pld-linux.org> f7e1e52
- add missing inlcude

* Fri Apr 12 2013 Jan Rękorajski <baggins@pld-linux.org> cf17c47
- workaround for missing atomic 64bit builtins in gcc on i486
- rel 2

* Wed Apr 10 2013 Marcin Banasiak <marcin.banasiak@gmail.com> bbd2fab
Update to 2.0.0

* Sun Nov 18 2012 Jakub Bogusz <qboosh@pld-linux.org> dd29e17
- updated to 1.10.1

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 9bda2f7
- rebuild to fix broken filedigests
- release 3 (by relup.sh)

* Thu Oct 04 2012 Jakub Bogusz <qboosh@pld-linux.org> e9e9ae8
- updated comments, BR: libXcomposite-devel

* Mon Oct 01 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 03ddff3
Use sed to replace -g2 with -g1

* Mon Oct 01 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 30934c4
Replace -g2 with -g1 to not run into 4 GB ar format limit. Release 2

